Fujifilm X-T Pro2


#1

What’s bad?

yaourt -Ss rawtherapee
community/rawtherapee 1:5.0.r1-1 [installed]
A powerful cross-platform raw image processing program
home_rawtherapee_Arch_Extra/rawtherapee 1:5.0.r1-1 [installed]

libraw
Version : 0.18.2-1

On home of libraw I see that this version know how to work with compressed RAW from X-Pro2, RT 5 can do this too, but I see white up and black down. Why?


(Ingo Weyrich) #2

iirc the support for compressed fuji files was added shortly after RT 5.0 was released. Current dev branch should open these files fine.
To verify, please upload a raw file to filebin.net and post the link here.


#3

Here is sample RAW https://filebin.net/oeiv4dcbb7qjmith/DSCF0042.raf
BTW not only yaourt but me can’t say frrom where is installed RT - from “community” or “home_rawtherapee_Arch_Extra”


(Ingo Weyrich) #4

Opens fine in current dev branch.


#5

My linux:


(Ingo Weyrich) #6

As I wrote above: RT 5.0-r1 does not support compressed Fuji files. But you can get a newer version:

Arch Extra

This repository is kindly run by Marcin Bajor, and all questions should be directed to him.

To install RawTherapee from Arch Extra
Edit /etc/pacman.conf and add the following (note that the order of repositories in pacman.conf is important, since pacman always downloads the first found package): 
[home_rawtherapee_Arch_Extra]
SigLevel = Never
Server = http://download.opensuse.org/repositories/home:/rawtherapee/Arch_Extra/$arch
Then run the following to install RawTherapee: 
sudo pacman -Syu
sudo pacman -S home_rawtherapee_Arch_Extra/<rawtherapee-type>
 where <rawtherapee-type> is one of the following: 
rawtherapee - the latest stable release. Uses GTK3. This is the recommended option.
rawtherapee-nosse - as above, but only for people with very old i586 CPUs which don't support SSE2 optimization, making them much slower.
rawtherapee-unstable - the latest development release.
rawtherapee-unstable-nosse - as above, but without SSE2 optimization.
rawtherapee-gtk2 - RawTherapee-5.0-r1 using GTK2. The GTK2 branch is dead and unsupported, we will not release a new RawTherapee version for GTK2.
rawtherapee-gtk2-nosse - as above, but without SSE2 optimization.

RawTherapee should now be installed and ready for use.

Get this one: rawtherapee-unstable - the latest development release.


#7

OK, I’m using unstable version of GIMP, why I can’t use unstable RT? :slight_smile:


(Morgan Hardwood) #8

RawTherapee does not use libraw.

You can.
http://rawtherapee.com/downloads
http://rawpedia.rawtherapee.com/Linux